Citation Analytics
curl --request GET \
--url https://server.promptwatch.com/api/v1/citations \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v1/citations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v1/citations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domains": [
{
"domainName": "<string>",
"count": 123
}
],
"urls": [
{
"url": "<string>",
"count": 123
}
],
"totalEstimatedTraffic": 123,
"summary": {
"totalCitedDomains": 123,
"totalCitedUrls": 123,
"totalCitations": 123
},
"averageAuthorityScore": 123,
"averagePageRank": 123
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Citations
Citation Analytics
Get citation analytics including top cited domains, URLs, and authority metrics
GET
/
citations
Citation Analytics
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Query Parameters
Start date for citation data (YYYY-MM-DD)
End date for citation data (YYYY-MM-DD)
Filter by specific LLM model
Filter by specific prompt ID
Filter by specific LLM monitor ID
Filter by prompt type
Available options:
ORGANIC, BRAND_SPECIFIC, COMPETITOR_COMPARISON Maximum number of results to return
Required range:
1 <= x <= 100Filter by specific domains
Response
Default Response
Top cited domains with their citation counts
Show child attributes
Show child attributes
Top cited URLs with their citation counts
Show child attributes
Show child attributes
Total estimated traffic from all cited URLs
Show child attributes
Show child attributes
Average domain authority score of cited domains
Average page rank of cited URLs